Skip to main content
PUT
/
open-api
/
v1
/
global-link
/
products
/
{shopProductId}
글로벌링크 상품 단건 수정
curl --request PUT \
  --url https://gw-staging.delivered.co.kr/global-ship/open-api/v1/global-link/products/{shopProductId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "productName": "베이직 코튼 반팔 티셔츠",
  "brandName": "Delivered Korea",
  "mainImage": "https://www.***.co.kr/main.jpg",
  "productImages": [
    "<string>"
  ],
  "productDetailImages": [
    "<string>"
  ],
  "productPrice": 19900,
  "discountedProductPrice": 14900,
  "domesticShippingPrice": 3000,
  "freeDomesticShippingPriceCondition": 30000,
  "stockQuantity": 250,
  "isProhibitedExport": false,
  "originProductUrl": "https://www.***.co.kr/***",
  "prohibitedExportReason": "null",
  "productOptionGroup": [
    {
      "productOptionGroupType": "COMBINATION",
      "productOptionGroupName": [
        {
          "shopGroupOptionId": 1,
          "productOptionGroupName": "색상"
        }
      ],
      "productOption": [
        {
          "productOptionName": [
            {
              "shopGroupOptionId": 1,
              "productOptionName": "블랙"
            }
          ],
          "optionPrice": 19900,
          "stockQuantity": 50,
          "order": 0,
          "shopOptionId": "opt-001",
          "availablePurchaseQuantityMin": 1,
          "availablePurchaseQuantityMax": 10
        }
      ]
    }
  ]
}
'
{
  "shopType": "SMART_STORE",
  "shopProductId": "product-001",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers-partners.delivered.co.kr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

발급받은 시크릿 키

Path Parameters

shopProductId
string
required

Body

application/json
productName
string
required

상품명

Example:

"베이직 코튼 반팔 티셔츠"

brandName
string
required

브랜드명

Example:

"Delivered Korea"

mainImage
string
required

대표 이미지 URL

Example:

"https://www.***.co.kr/main.jpg"

productImages
string[]
required

상품 이미지 URL 목록

상품 이미지 URL 목록

productDetailImages
string[]
required

상품 상세 이미지 URL 목록

상품 상세 이미지 URL 목록

productPrice
integer<int64>
required

상품가 (KRW)

Example:

19900

discountedProductPrice
integer<int64>
required

할인 적용가 (KRW). 할인이 없으면 productPrice와 동일 값

Example:

14900

domesticShippingPrice
integer<int64>
required

국내 배송비 (KRW)

Example:

3000

freeDomesticShippingPriceCondition
integer<int64>
required

국내 무료배송 조건 금액 (KRW). 해당 금액 이상 구매 시 배송비 무료. 조건 없으면 0

Example:

30000

stockQuantity
integer<int32>
required

재고 수량

Example:

250

isProhibitedExport
boolean
required

수출 금지 여부

Example:

false

originProductUrl
string
required

원본 상품 URL (파트너사 상품 페이지)

Example:

"https://www.***.co.kr/***"

prohibitedExportReason
string | null

수출 금지 사유. isProhibitedExport=false면 null

Example:

null

productOptionGroup
object[]

상품 옵션 그룹. 옵션이 없는 단일 상품이면 null

Response

200 - */*

OK

shopType
string
required

파트너사 마켓 sub type

Example:

"SMART_STORE"

shopProductId
string
required

수정된 상품의 파트너사 상품 ID

Example:

"product-001"

updatedAt
string<date-time>
required

수정 완료 시각 (다운스트림 응답에 없을 경우 본 게이트웨이 처리 시각으로 fallback)